%Cooperativedemo.m
vect1=[0.1 0.1 0.1 0.1 0.05];
vect2=[0.2 0.2 0.2 0.1 0.05];
vect3=[0.1 0.1 0.1 0.1 0.1];
vect4=[0.1 0.1 0.1 0.2 0.1];
vect5=[0.1 0.1 0.1 0.2 0.2];
vect6=[0.1 0.2 0.3 0.1 0.1];
for i=1:1:5
[POS1, POS2]=Cooperativecomm(vect1);
subplot(2,3,1)
plot(POS1,'r')
hold on
plot(POS2,'b')
[POS1, POS2]=Cooperativecomm(vect2);
subplot(2,3,2)
plot(POS1,'r')
hold on
plot(POS2,'b')
[POS1, POS2]=Cooperativecomm(vect3);
subplot(2,3,3)
plot(POS1,'r')
hold on
plot(POS2,'b')
[POS1, POS2]=Cooperativecomm(vect4);
subplot(2,3,4)
plot(POS1,'r')
hold on
plot(POS2,'b')
[POS1, POS2]=Cooperativecomm(vect5);
subplot(2,3,5)
plot(POS1,'r')
hold on
plot(POS2,'b')
[POS1, POS2]=Cooperativecomm(vect6);
subplot(2,3,6)
plot(POS1,'r')
hold on
plot(POS2,'b')
end
